device_type: pixel2
job_name: lab-health-pixel2
timeouts:
  job:
    minutes: 120
  action:
    minutes: 60
  connection:
    minutes: 2
priority: medium
visibility: public
reboot_to_fastboot: true

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: pixel-simple.yaml

protocols:
  lava-lxc:
    name: lxc-pixel-test
    template: debian
    distribution: debian
    release: stretch
    arch: amd64

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 5
    to: lxc
    packages:
    - android-tools-adb
    - android-tools-fastboot
    - systemd
    - systemd-sysv
    - wget
    - unzip
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    timeout:
      minutes: 5
    method: lxc

- test:
    definitions:
    - from: inline
      name: install-google-fastboot
      path: inline/install-google-fastboot.yaml
      repository:
        metadata: {description: Install fastboot provided by google, format: Lava-Test
            Test Definition 1.0, name: install-fastboot}
        run:
          steps: ['wget https://dl.google.com/android/repository/platform-tools_r28.0.0-linux.zip',
            unzip platform-tools_r28.0.0-linux.zip, ln -s `pwd`/platform-tools/fastboot
              /usr/bin/fastboot, ln -s `pwd`/platform-tools/adb /usr/bin/adb, fastboot
              --version]
    namespace: tlxc
    timeout: {minutes: 10}

- deploy:
    timeout:
      minutes: 120
    to: fastboot
    namespace: droid
    images:
      boot_a:
        url: http://releases.linaro.org/android/images/art/walleye/18.04/boot.img
      userdata:
        url: http://releases.linaro.org/android/images/art/walleye/18.04/userdata.img
      system_a:
        url: http://releases.linaro.org/android/images/art/walleye/18.04/system.img
      system_b:
        url: http://releases.linaro.org/android/images/art/walleye/18.04/system_other.img
      vendor_a:
        url: http://releases.linaro.org/android/images/art/walleye/18.04//vendor.img
      dtbo_a:
        url: http://releases.linaro.org/android/images/art/walleye/18.04//dtbo.img
      vbmeta_a:
        url: http://releases.linaro.org/android/images/art/walleye/18.04//vbmeta.img
    os: debian

- boot:
    namespace: droid
    prompts:
    - 'root@(.*):/#'
    timeout:
      minutes: 15
    method: fastboot

- test:
    namespace: tlxc
    timeout:
      minutes: 5
    definitions:
    - repository: https://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/android/get-adb-serial.yaml
      name: get-pixel-serial
